#include <stdio.h>

int main()
{
    int n,kuca,levoNajdalje=0,desnoNajdalje=0,temp;
    scanf("%d %d",&n,&kuca);
    
    while(n-->0){
        scanf("%d",&temp);
        if(temp<kuca){
            temp=kuca-temp;
            //printf(" l%d ",temp);
            if(temp>levoNajdalje)
            levoNajdalje = temp;
        }else if(temp>kuca){
            temp-=kuca;
            //printf(" d%d ",temp);
            if(temp>desnoNajdalje)
            desnoNajdalje = temp;
        }
    }

    if(levoNajdalje>desnoNajdalje){
        temp = desnoNajdalje*2+levoNajdalje;
    }else{
        temp = levoNajdalje*2+desnoNajdalje;
    }
    
    //printf("\n%d %d %d\n",levoNajdalje, kuca, desnoNajdalje);
    printf("%d",temp);
    
    return 0;
}